com.buschmais.jqassistant.plugin.maven3.api.model

## Interface MavenPluginDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.plugin.common.api.model.ArtifactDescriptor, ConfigurableDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor, MavenArtifactDescriptor, MavenDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      @Label(value="Plugin")
      public interface MavenPluginDescriptor
      extends MavenArtifactDescriptor, ConfigurableDescriptor

  Descriptor for references build plugins.
  Author:
    ronald.kunzmann@buschmais.com
  See Also:
    `Plugin`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<MavenPluginExecutionDescriptor>` | `getExecutions()` Get plugin executions.
    `boolean` | `isInherited()` Get whether any configuration should be propagated to child POMs.
    `void` | `setInherited(boolean inherited)` Set whether any configuration should be propagated to child POMs.

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.maven3.api.model.MavenArtifactDescriptor

      `getPomManagedDependents, getProfileDependents, getProfileManagedDependents`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.ArtifactDescriptor

      `getClassifier, getDependencies, getDependents, getGroup, getName, getType, getVersion, setClassifier, setGroup, setName, setType, setVersion`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor

      `getFullQualifiedName, setFullQualifiedName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.maven3.api.model.ConfigurableDescriptor

      `getConfiguration, setConfiguration`

- - ### Method Detail

    - #### isInherited

          @Property(value="inherited")
          boolean isInherited()

      Get whether any configuration should be propagated to child POMs.
      Returns:
        true, if configuration should be propagated to child POMs.

    - #### setInherited

          void setInherited(boolean inherited)

      Set whether any configuration should be propagated to child POMs.
      Parameters:
        `inherited` - true, if configuration should be propagated to child POMs.

    - #### getExecutions

          @Relation(value="HAS_EXECUTION")
          List<MavenPluginExecutionDescriptor> getExecutions()

      Get plugin executions.
      Returns:
        The plugin executions.

Copyright © 2015 buschmais GbR. All rights reserved.